package com.brilliance.isc.transfer.model;

import com.brilliance.isc.bo.model.Cfagit;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;

/**
 * 其他模型映射接口
 */
@Mapper(componentModel = "spring",uses = {ICbbMapper.class})
public interface IOtherModMapper {

    /**
     * 拷贝其他公共模型
     */
    com.brilliance.isc.vo.model.Cfagit convertCfagitToVo(Cfagit cfagit);
    Cfagit convertCfagitVoToVo(com.brilliance.isc.vo.model.Cfagit cfagitVo);

    void updateCfagitFromVo(com.brilliance.isc.vo.model.Cfagit cfagitVo, @MappingTarget Cfagit Cfagit);
    void updateCfagitVoFromBo(Cfagit Cfagit, @MappingTarget com.brilliance.isc.vo.model.Cfagit cfagitVo);
}
